#pragma once

// CPPgUpdate dialog

// NEO: AU - [AutoUpdate] -- Xanatos -->

class CPPgUpdate : public CPropertyPage
{
	DECLARE_DYNAMIC(CPPgUpdate)

public:
	CPPgUpdate();
	virtual ~CPPgUpdate();

// Dialog Data
	enum { IDD = IDD_PPG_UPDATE };
protected:

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	DECLARE_MESSAGE_MAP()

public:
	virtual BOOL OnApply();
	virtual BOOL OnInitDialog();
	void Localize(void);
	void LoadSettings(void);
	afx_msg void OnSettingsChange() {SetModified();}
	// NEO: FC - [FakeCheck]
	afx_msg void OnBnClickedUpdatefakes();
	afx_msg void OnBnClickedResetfakes();
	// NEO: FC END
	afx_msg void OnBnClickedUpdateipfurl();
	afx_msg void OnBnClickedResetipfurl();
#ifdef IP2COUNTRY // NEO: IP2C - [IP2Country]
	afx_msg void OnBnClickedUpdateipcurl();
	afx_msg void OnBnClickedResetipcurl();
#endif // IP2COUNTRY // NEO: IP2C END
#ifdef ARGOS // NEO: NA - [NeoArgos]
	afx_msg void OnBnClickedUpdatellurl();
	afx_msg void OnBnClickedResetllurl();
#endif // ARGOS // NEO: NA END
};

// NEO: AU END  <-- Xanatos --